/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StyledLink } from '../../link/index.js';
import { Breadcrumbs } from '../index.js';
describe('Breadcrumbs', function () {
  it('applies correct accessibility attributes to root element', function () {
    var example = shallow(React.createElement(Breadcrumbs, null, React.createElement(StyledLink, {
      href: "#"
    }, "Parent Page"), React.createElement(StyledLink, {
      href: "#"
    }, "Sub-Parent Page"), React.createElement("span", null, "Current Page")));
    expect(example).toHaveProp('aria-label', 'Breadcrumbs navigation');
  });
  it('displays separators in correct positions', function () {
    expect(shallow(React.createElement(Breadcrumbs, null, React.createElement(StyledLink, {
      href: "#"
    }, "Parent Page"), React.createElement(StyledLink, {
      href: "#"
    }, "Sub-Parent Page"), React.createElement("span", null, "Current Page")))).toMatchSnapshot();
  });
});